### Constructor

# Adw MessageDialog new

deprecated: 1.6 since: 1.2

#### Declaration [src]

    GtkWidget*
    adw_message_dialog_new (
      GtkWindow* parent,
      const char* heading,
      const char* body
    )

#### Description [src]

Creates a new `AdwMessageDialog`.

`heading` and `body` can be set to `NULL`. This can be useful if they need to be formatted or use markup. In that case, set them to `NULL` and call `adw_message_dialog_format_body()` or similar methods afterwards:

    GtkWidget *dialog;

    dialog = adw_message_dialog_new (parent, _("Replace File?"), NULL);
    adw_message_dialog_format_body (ADW_MESSAGE_DIALOG (dialog),
                                    _("A file named “%s” already exists.  Do you want to replace it?"),
                                    filename);

Available since: 1.2

Deprecated since: 1.6

Use `AdwAlertDialog`.

#### Parameters

`parent`

  Type: `GtkWindow`

  Transient parent.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`heading`

  Type: `const char*`

  The heading.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  The body text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `AdwMessageDialog`.

The data is owned by the called function.